<?php
include_once('inclfiles/core.php');

if($user){
	$title = 'Ошибка';
	include_once('inclfiles/head.php');
	t('Вы уже авторизованы');
	include_once('inclfiles/foot.php');
}

if($_POST['ok'] != null){
	if(empty($_POST['nick']) OR empty($_POST['password'])) $err[] = 'Не заполнено одно или несколько полей';
	else if(mysql_num_rows(mysql_query("SELECT * FROM `users` WHERE `nick` = '".filter($_POST['nick'])."' AND `password` = '".md5(filter($_POST['password']))."'")) == 0) $err[] = 'Неправильный логин или пароль';
	if (!isset($err)){
		$nick = filter($_POST['nick']);
		$password = md5($_POST['password']);
		$user = mysql_fetch_array(mysql_query("SELECT * FROM `users` WHERE `nick` = '".$nick."' AND `password` = '".$password."'"));
		if((time() - $user['time_last']) <= 30 AND $user['time_last'] < time()) mysql_query("UPDATE `users` SET `time_last`=".time().",`ip` = '".$ip."', `time_online` = (`time_online` + ".(time() - $user['time_last']).") WHERE `id` = '".$user['id']."'");
		else mysql_query("UPDATE `users` SET `time_last`=".time().",`ip` = '".$ip."' WHERE `id` = '".$user['id']."'");
		if($user['country'] != 0) $country = mysql_fetch_array(mysql_query("SELECT * FROM `countries` WHERE `id`=".$user['country']));
		SetCookie('id',$user['id'],time()+31536000, '/');
		SetCookie('password',$password,time()+31536000, '/');
		$title = 'Авторизация';
		include_once('inclfiles/head.php');
		m('Вы успешно авторизованы');
		t('Чтобы постоянно не вводить свой ник и пароль, перейдите на <a href="autologin.php?code='.$user['autologin'].'&'.$gets.'">эту</a> страницу и добавьте ее в закладки');
		include_once('inclfiles/foot.php');
	}
}

$title = 'Авторизация';
include_once('inclfiles/head.php');
err();
echo '<form action="/auth.php?'.$gets.'" method="POST">';
c('Ваш ник:<br/><input type="text" name="nick" maxlength="10" value="'.$nick.'"/>');
c('Пароль:<br/><input type="password" name="password" maxlength="16" value=""/>');
c('<input name="ok" type="submit" value="Авторизоваться" />');
echo '</form>';
// p('Требуется поддержка cookies браузером');
a('/reg.php?','Регистрация','reg');
include_once('inclfiles/foot.php');
?>